Unable to forward port 443 to docker

For some reason when I forward port 80 and 443 to 180 and 1443 respectively only 180 works and therefore the docker (used in unraid) is unable to create certificates as it comes back saying there is a DNS or Firewall issue.

I have tried with multiple other ports and its always 443 that is unable to be forwarded for some reason.

You’re not giving us nearly enough details.

Answer the questionnaire that you ignored when posting, and tell us more.

1 Like

Please fill out the fields below so we can help you better. Note: you must provide your domain name to get help. Domain names for issued certificates are all made public in Certificate Transparency logs (e.g. https://crt.sh/?q=example.com), so withholding your domain name here does not increase secrecy, but only makes it harder for us to provide help.

My domain is:

I ran this command:

It produced this output:

My web server is (include version):

The operating system my web server runs on is (include version):

My hosting provider, if applicable, is:

I can login to a root shell on my machine (yes or no, or I don’t know):

I’m using a control panel to manage my site (no, or provide the name and version of the control panel):

The version of my client is (e.g. output of certbot --version or certbot-auto --version if you’re using Certbot):

Don’t see how entering any of those details will help.

My domain is: Matchett-tech.com

I ran this command: Ran letsencrypt docker

It produced this output: DNS firewall issue as port 443 was not redirected

My web server is (include version): n/a

The operating system my web server runs on is (include version): Unraid 6.8.3

My hosting provider, if applicable, is:

I can login to a root shell on my machine (yes or no, or I don’t know): Yes

I’m using a control panel to manage my site (no, or provide the name and version of the control panel):

The version of my client is (e.g. output of certbot --version or certbot-auto --version if you’re using Certbot): Unraid docker

This is the docker log that I receive. It also produces the errors relating to max retries.

cont-init.d] 20-config: executing…
[cont-init.d] 20-config: exited 0.
[cont-init.d] 30-keygen: executing…
using keys found in /config/keys
[cont-init.d] 30-keygen: exited 0.
[cont-init.d] 50-config: executing…
Variables set:
PUID=99
PGID=100
TZ=Australia/Perth
URL=matchett-tech.com
SUBDOMAINS=sonarr
EXTRA_DOMAINS=
ONLY_SUBDOMAINS=true
DHLEVEL=2048
VALIDATION=http
DNSPLUGIN=
EMAIL=
STAGING=

2048 bit DH parameters present
SUBDOMAINS entered, processing
SUBDOMAINS entered, processing
Only subdomains, no URL in cert
Sub-domains processed are: -d sonarr.matchett-tech.com
E-mail address entered:
http validation is selected
Generating new certificate
Saving debug log to /var/log/letsencrypt/letsencrypt.log
Plugins selected: Authenticator standalone, Installer None
An unexpected error occurred:

Traceback (most recent call last):
File “/usr/lib/python3.8/site-packages/urllib3/connection.py”, line 159, in _new_conn
conn = connection.create_connection(
File “/usr/lib/python3.8/site-packages/urllib3/util/connection.py”, line 61, in create_connection
for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
File “/usr/lib/python3.8/socket.py”, line 918, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -3] Try again

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.8/site-packages/urllib3/connectionpool.py”, line 670, in urlopen
httplib_response = self._make_request(
File “/usr/lib/python3.8/site-packages/urllib3/connectionpool.py”, line 381, in _make_request
self._validate_conn(conn)
File “/usr/lib/python3.8/site-packages/urllib3/connectionpool.py”, line 976, in _validate_conn
conn.connect()
File “/usr/lib/python3.8/site-packages/urllib3/connection.py”, line 308, in connect
conn = self._new_conn()
File “/usr/lib/python3.8/site-packages/urllib3/connection.py”, line 171, in _new_conn
raise NewConnectionError(
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPSConnection object at 0x14e3a6a2ea90>: Failed to establish a new connection: [Errno -3] Try again

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.8/site-packages/requests/adapters.py”, line 439, in send
resp = conn.urlopen(
File “/usr/lib/python3.8/site-packages/urllib3/connectionpool.py”, line 724, in urlopen
retries = retries.increment(
File “/usr/lib/python3.8/site-packages/urllib3/util/retry.py”, line 439, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))

urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host=‘acme-v02.api.letsencrypt.org’, port=443): Max retries exceeded with url: /directory (Caused by NewConnectionError(’<urllib3.connection.HTTPSConnection object at 0x14e3a6a2ea90>: Failed to establish a new connection: [Errno -3] Try again’))

During handling of the above exception, another exception occurred:

requests.exceptions.ConnectionError: HTTPSConnectionPool(host=‘acme-v02.api.letsencrypt.org’, port=443): Max retries exceeded with url: /directory (Caused by NewConnectionError(’<urllib3.connection.HTTPSConnection object at 0x14e3a6a2ea90>: Failed to establish a new connection: [Errno -3] Try again’))

Please see the logfiles in /var/log/letsencrypt for more details.
ERROR: Cert does not exist! Please see the validation error above. The issue may be due to incorrect dns or port forwarding settings. Please fix your settings and recreate the container

@xxbigfoot11xx Having the same errors! Did you find a fix?

The issue @xxbigfoot11xx was having was the outbound connection to the Let’s Encrypt ACME server which has nothing to do with inbound portmaps et cetera.

This could be because of outbound firewall restrictions or even network issues like MTU problems.

I replaced the motherboard and everything looks good now. Not sure why it wasn’t working previously, might have just been fault nic.

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.